Kopano (LAM Pro)
Prev | Chapter 4. Managing entries in your LDAP directory | Next

## Kopano (LAM Pro)

Kopano is an OpenSource collaboration software. LAM Pro provides support to manage Kopano user entries, groups, address lists and servers. It covers all settings for these types including resource and quota settings.

### Users

Configuration

To enable Kopano support for users please activate the Kopano module for the user account type in you server profile:

Adjust the suffix and list attributes to your needs.

Then select the Kopano user module (tab Modules). You can combine it with Personal module, Unix or Windows.

Next configure the module to your needs (tab Module settings).

Attention: LAM Pro uses the Kopano OpenLDAP schema by default. This schema fits for OpenLDAP, OpenDJ, Apache Directory server and other common LDAP servers. If you run Samba 4 or Active Directory then you need to switch the schema to "Active Directory" on the module settings tab.

You can hide options that you do not need. E.g. if you do not want to manage quotas per user then you can hide these options.

Examples for your Kopano ldap.cfg:

"Send as" attribute: dn

ldap_user_sendas_attribute_type = dn

"Send as" attribute: uid

ldap_user_sendas_attribute_type = text

ldap_user_sendas_relation_attribute = uid

Attention: If the Active Directory schema is used then LAM will always use dn and ignore this setting.

Usage

LAM Pro will now display the Kopano tab on your users. This includes email settings, quotas and some options (e.g. hide from address book). You can also set the resource type and capacity for meeting rooms and equipment. The Kopano extension can be added and removed at any time for every user.

### Contacts

Configuration

The configuration is similar to users. Instead of the Kopano user module please select the contact module.

Usage

LAM Pro will now display the Kopano contact tab on your users. The Kopano extension can be added and removed at any time for every user.

### Groups

Configuration

To enable Kopano support for groups please activate the Kopano module for the group account type in you server profile:

Adjust the suffix and list attributes to your needs.

Then select the Kopano group module (tab Modules). You can combine it with groups of names module, Unix or Windows.

Next configure the module to your needs (tab Module settings).

Usage

LAM Pro will now display the Kopano tab on your groups. The Kopano extension can be added and removed at any time for every group.

### Address lists

Configuration

To enable Kopano support for address lists please activate the Kopano address list account type in you server profile (tab account types):

Adjust the suffix and list attributes to your needs.

Then select the Kopano address list module (tab Modules).

Usage

LAM Pro will now display the Kopano address list tab.

### Dynamic groups

Configuration

To enable Kopano support for dynamic groups please activate the Kopano dynamic group account type in you server profile (tab account types):

Adjust the suffix and list attributes to your needs.

Then select the Kopano dynamic group module (tab Modules).

Usage

LAM Pro will now display the Kopano address list tab.

### Servers

Configuration

To enable Kopano support for servers please activate the Kopano server module for the hosts account type in you server profile (tab account types):

Adjust the suffix and list attributes to your needs.

Then select the Kopano server module (tab Modules).

Next configure the module to your needs (tab Module settings).

Usage

LAM Pro will now display the Kopano tab on your hosts. The Kopano extension can be added and removed at any time for every server.

Prev | Up | Next
Asterisk | Home | Kolab shared folders